Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.m12n
[Java] Class ExtensionModuleRegistry

    java.lang.Object
      org.codehaus.groovy.runtime.m12n.ExtensionModuleRegistry

    public class ExtensionModuleRegistry
    extends java.lang.Object

The extension method registry is responsible for collecting methods (or static methods) which are added to existing classes and may be called like regular methods.

In previous Groovy versions, such methods could only be defined in a single class called DefaultGroovyMethods for instance methods, and DefaultGroovyStaticMethods for static methods.

Authors:
  Cedric Champeau

Since:
  2.0.0

Constructor Summary
`ExtensionModuleRegistry()`

Method Summary
`void` | `addModule(ExtensionModule module)`
`ExtensionModule` | `getModule(java.lang.String moduleName)`
`java.util.List` | `getModules()`
`boolean` | `hasModule(java.lang.String moduleName)`
`void` | `removeModule(ExtensionModule module)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ExtensionModuleRegistry

    public ExtensionModuleRegistry()

Method Detail

### addModule

    public void addModule(ExtensionModule module)

### getModule

    public ExtensionModule getModule(java.lang.String moduleName)

### getModules

    public java.util.List getModules()

### hasModule

    public boolean hasModule(java.lang.String moduleName)

### removeModule

    public void removeModule(ExtensionModule module)

Groovy Documentation